
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>简单谈谈javascript中的变量、作用域和内存问题_javascript技巧 / iVAN</title>

    <meta name="description" content="简单谈谈javascript中的变量、作用域和内存问题_javascript技巧 [变量] [1]定义:可变的量,相当于给一个不定的数据起了一个外号.变量是存储信息的容器. [2]特性:js中的变量是松散类型的,可以保存任何类型的数据.它只是在特定时间用于保存特定值的一个名字而已.由于不存在定义某个变量必须要保存何种数据类型值的规则,变量的值及其数据类型可以在脚本的生命周期内改变. [3]变量声明:变量可以在声明时赋值,但不能有其他操作,如+=.-=等 var a = 2;//是正确的 var a += 2;//是错误的 var a = 2++;//是错误的,++只能用于变量">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">简单谈谈javascript中的变量、作用域和内存问题_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>【变量】</strong></p>
<p>[1]定义：可变的量，相当于给一个不定的数据起了一个外号。变量是存储信息的容器。<br />
[2]特性：js中的变量是松散类型的，可以保存任何类型的数据。它只是在特定时间用于保存特定值的一个名字而已。由于不存在定义某个变量必须要保存何种数据类型值的规则，变量的值及其数据类型可以在脚本的生命周期内改变。<br />
[3]变量声明：变量可以在声明时赋值，但不能有其他操作，如+=、-=等</p>
<pre>
var a = 2;//是正确的
var a += 2;//是错误的
var a = 2++;//是错误的，++只能用于变量，不能用于常量
</pre>
<p>[4]注意：用var操作符定义的变量将成为定义该变量的作用域中的局部变量。若省略var操作符，可以创建一个全局变量，但在严格模式下会抛出 ReferenceError错误</p>
<p>[5]var：使用var声明的变量会自动被添加到最接近的环境中。如果初始化变量时没有使用var声明，该变量会自动被添加到全局环境。在严格模式下，初始化未经声明的变量会导致错误。<br />
[6]局部变量:如果局部环境中存在同名标识符，就不会使用位于父环境中的标识符。任何位于局部变量color的声明之后的代码，如果不使用window.color都无法访问全局color变量</p>
<p><strong>【标识符】<br /></strong></p>
<p>[1]定义：变量、函数、属性的名字，或者函数的参数。<br />
[2]注意：<br />
　　[2.1]第一个字符必须是一个字母、下划线或一个美元符号。其他字符可以是字母、下划线、美元符号或数字[不能出现中划线]<br />
　　[2.2]标识符中的字母也可以包括拓展的ASCII或Unicode字母字符,可以使用中文<br />
　　[2.3]标识符应采用小驼峰格式，第一位应该是数据的类型，常见的标识如下：</p>
<pre>
　　　　数组 　　　　a 　　Array aItems
　　　　布尔值  　　b 　　Boolean bIsComplete
　　　　浮点数  　　f 　　 FLoat fPrice
　　　　函数 　　　　fn 　 Function fnHandler
　　　　整数 　　　　i 　　 Integer iItemCount
　　　　对象 　　　　o 　　Object oDIv1
　　　　正则表达式  re 　 RegExp reEmailCheck
　　　　字符串 　　  s 　　 String sUserName
　　　　变量　　 　　v 　　Variant vAnything
</pre>
<p>　　[2.4]不能把关键字、保留字、true、false和null用作标识符<br />
　　[2.5]对于不符合标识符命名规则的属性如background-color应写为大括号方式[backgroundColor]<br />
[3]标识符解析:标识符解析是沿着作用域链一级一级地搜索标识符的过程。搜索过程始终从作用域链的前端开始，然后逐级地向后回溯，直到找到标识符为止(如果找不到标识符，表示标识符尚未声明，通常会导致错误发生)。<br />
　　[3.1]如果局部环境中存在着同名标识符，就不会使用父环境中的标识符<br />
　　　　e.g. 全局和局部有同名标识符color,任何位于局部变量color的声明之后的代码，如果不使用window.color都无法访问全局color变量<br />
　　[3.2]JavaScript引擎在优化标识符查询方面做得不错，访问全局变量和局部变量的时间差别可以忽略不计</p>
<p><strong>【作用域】(也称为执行环境)</strong></p>
<p>　　[注意]javascript中没有块级作用域 <br />
[1]执行环境:执行环境定义了变量或函数有权访问的其他数据，决定了它们各自的行为。每个执行环境都有一个与之相关联的变量对象。环境中定义的所有变量和函数都保存在这个对象中。</p>
<p>[2]全局执行环境:<br />
　　[2.1]全局执行环境是最外围的一个执行环境，在web浏览器中，全局执行环境被认为是window对象。因此所有全局变量和函数都是作为window对象的属性和方法创建的。全局执行环境直到应用程序退出例如关闭网页或浏览器时才会被销毁<br />
　　[2.2]一个页面就相当于一个全局作用域。不论是页面中的js代码，还是引用的外部js文件，最终都会按照在页面中的先后依次解析。</p>
<p>[3]函数执行环境:每个函数都有自己的执行环境，当执行流进入一个函数时，函数的环境就会被推入一个环境栈中，而在函数执行之后，栈将其环境弹出，把控制权返回给之前的执行环境。</p>
<p>[4]作用域链:当代码在一个环境中执行时，会创建变量对象的一个作用域链。作用域链的作用是保证对执行环境有权访问的所有变量和函数的有序访问。作用域的前端始终都是当前执行的代码所在环境的变量对象。如果这个环境是函数，则将其活动对象作为变量对象。活动对象在最开始时只包含一个变量，即arguments对象(这个对象在全局环境中是不存在的)。作用域链中的下一个变量对象来自包含环境，而再下一个变量对象则来自下一个包含环境。这样，一直延续到全局执行环境；全局执行环境的变量对象始终都是作用域链中的最后一个对象。</p>
<p>　　[4.1]作用域链的特点:内部环境可以通过作用域链访问所有的外部环境，但外部环境不能访问内部环境中的任何变量和函数。这些环境之间的联系是线性、有次序的。每个环境都可以向上搜索作用域链，以查询变量和函数名；但任何环境都不能通过向下搜索作用域链而进入另一个执行环境。</p>
<p>[5]延长作用域链:</p>
<p>　　[5.1]try-catch语句:catch块会创建一个新的变量对象，其中包含的是被抛出的错误对象的声明<br />
　　[5.2]with语句：会将指定的对象添加到作用域链中</p>
<pre>
function buildUrl(){
  var qs = '?debug=true';
  with(location){
    var url = href + qs;
  }
  return url;
}
</pre>
<p><strong>【垃圾回收】:</strong>javascript具有自动垃圾收集机制，执行环境会负责管理代码执行过程中使用的内存。</p>
<p>[1]垃圾回收机制：找出那些不再继续使用的变量，然后释放其占用的内存，垃圾收集器会按照固定的时间间隔，或代码执行中预定的收集时间，周期性地执行这一操作</p>
<p>[2]垃圾收集标记无用变量的两种策略</p>
<p>　　[2.1]标记清除，标记“进入环境”和“离开环境”。离开作用域的值将被自动标记为可以回收，因此将在垃圾收集期间被删除<br />
　　[2.2]引用计数，跟踪记录每个值被引用的次数。当声明了一个变量并将一个引用类型值赋给该变量时，则这个值的引用次数就是1，如果同一个值又被赋给另一个变量，则该值的引用次数加1，相反，如果包含对这个值的引用的变量又取得了另外一个值，则这个值的引用次数减1，当这个值的引用次数为0时，则说明没有办法再访问这个值了，因此就可以将其占用的内存空间回收回来。<br />
　　　　[2.2.1]引用计数的问题：循环引用：对象A中包含一个指向对象B的指针，对象B中也包含一个指向对象A的指针<br />
　　　　[2.2.2]IE:IE中有一部分对象并不是原生js对象，例如，其BOM和DOM中的对象就是使用c++以COM对象的形式实现，而COM对象的垃圾回收机制采用的就是引用计数策略</p>
<pre>
var element = document.getElementById('some_element');
var myObject = new Object();
myObject.element = element;
element.someObject = myObject;
</pre>
<p>　　　　解决办法：为了避免类似这样的循环引用，最好是在不使用它们的时候手工断开</p>
<p>myObject.element = null;<br />
element.someObject = null;    <br />
　　　　为了解决此问题，IE9把BOM和DOM对象都转换成了真正的js对象</p>
<p><strong>【内存管理】</strong></p>
<p>[1]主要问题:分配给web浏览器的可用内存数量通常要比分配给桌面应用程序的少，目的是防止运行js的网页耗尽全部系统内存而导致系统崩溃。内在限制问题不仅会影响给变量分配内存，同时还会影响调用栈以及在一个线程中能够同时执行的语句数量 </p>
<p>[2]优化方式:为执行中的代码只保存必要的数据。一旦数据不再有用，最好通过将其值设置为null来释放其引用，这种做法叫解除引用。这一做法适用于大多数全局变量和全局对象的属性以及循环引用变量，局部变量会在它们离开执行环境时自动被解除引用。</p>
<p>解除变量的引用并不意味着自动回收该值所占用的内存。解除引用的真正作用是让值脱离执行环境，以便垃圾收集器下次运行时将其回收。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索javascript<br />
                    ，                变量<br />
                    ，                作用域<br />
                                    内存问题<br />
                                    javascript变量作用域、javascript作用域链、javascript作用域、javascript块级作用域、javascript的作用域，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-05 05:59:44</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%8f%98%e9%87%8f/" title="变量">变量</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/%e4%bd%9c%e7%94%a8%e5%9f%9f/" title="作用域">作用域</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ad%98%e9%97%ae%e9%a2%98/" title="内存问题">内存问题</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>简单谈谈javascript中的变量、作用域和内存问题_javascript技巧的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmZvLp.html" rel="bookmark">JavaScript中的变量定义与储存介绍&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				与C.Java等编程语言不同,JavaScript中的变量是无类型的,所有的变量定义使用的关键词均为var: 复制代码 代码如下: var a; var m, n; var x=42, y=&quot;test&quot;; 如果定义变量后未对该变量进行赋值,那么该变量的值为undefined.如上面代码中的a.m.n三个变量的值均为undefined. 由于JS中变量是无类型的,因此完全可以对同一个变量进行不同类型的赋值,如: 复制代码 代码如下: var b = &quot;temp&quot;; c			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJwo7Jb.html" rel="bookmark">javascript中对变量类型的判断方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在JavaScript中,有5种基本数据类型和1种复杂数据类型,基本数据类型有:Undefined, Null, Boolean, Number和String:复杂数据类型是Object,Object中还细分了很多具体的类型,比如:Array, Function, Date等等.今天我们就来探讨一下,使用什么方法判断一个出一个变量的类型. 在讲解各种方法之前,我们首先定义出几个测试变量,看看后面的方法究竟能把变量的类型解析成什么样子,以下几个变量差不多包含了我们在实际编码中常用的类型. var			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJwlO8b.html" rel="bookmark">谈谈JavaScript中浏览器兼容问题的写法小议&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 JavaScript中很多坑,其中对浏览器的兼容也是一个问题,本文就简略的归纳了部分针对浏览器兼容问题的写法的例子,旨在便于查找.如果读者有什么好的意见建议,请留言交流,谢谢! window窗口大小 1.在IE9+.Chrome.Firefox.Opera以及Safari中 window.innerHeight获取浏览器窗口的内部高度 window.innerWidth获取浏览器窗口的内部宽度 var msg = &quot;窗口宽度:&quot; + window.innerHeight + &q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmDDDp.html" rel="bookmark">javascript中检测变量的类型的代码&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				常用检查变量类型的方法有两种,下面是解说: 检查变量类型方法一:typeof 格式:typeof 变量 用法:if( typeof 变量 == &quot;类型标识&quot;) { ... } 下面是一些常用数据类型对应的typeof值: {an:&quot;object&quot;} : object [&quot;an&quot;,&quot;array&quot;] : object function() {} : function &quot;a string&quot; : string 55			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6kO0Op.html" rel="bookmark">一道关于JavaScript变量作用域的面试题&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				小编觉得这道题对理解JavaScript 作用域还是很有帮助的,特此又把自己的解题思路梳理了一遍,希望对其它人有所帮助. 首先看下面试题: var arr = [1, 2, 3]; for (var i = 0, j; j = arr[i++];) { console.log(j); } console.log('---------'); console.log(i); console.log('---------'); console.log(j); console.log('--------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ31P4b.html" rel="bookmark">深入解析JavaScript中函数的Currying柯里化&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引子先来看一道小问题: 有人在群里出了到一道题目: var s = sum(1)(2)(3) ....... 最后 alert(s) 出来是6  var s = sum(1)(2)(3)(4) ....... 最后 alert(s) 出来是10  问sum怎么实现? 刚看到题目,我第一反应是sum返回的是一个function,但是没有最终实现,印象中看到过类似的原理,但是记不清了.   后来同事说,这个是叫柯里化, 实现方法比较巧妙:   function sum(x){ var y = fun			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9jLdXp.html" rel="bookmark">javascript中闭包概念与用法深入理解&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例分析了javascript中闭包概念与用法.分享给大家供大家参考,具体如下: 1.问题的引出,什么时候会遇到闭包? 首先因为JS是没有块状作用域的,但是有函数作用域即函数作为了局部变量之间的界限,不同函数内的局部变量具有独立性, 因为JS没有块状作用域,笔者初学JS时,在事件的监听时,因为不理解JS中局部变量的作用域,犯过不少错误! (1)JS中的变量作用域 for(var i=0;i&lt;9;i++) { } alert(i) //输出9 我们发现,虽然变量i是块状区域for()内的一个局			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2VlmM.html" rel="bookmark">javascript中定义私有方法说明&lpar;private method&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一度以为在javascript的世界里,所有方法都是公有的,无法真正从技术上定义一个私有方法,今天又一次发现:其实我错了! 复制代码 代码如下: var Person = function(name,sex){     this.name = name;     this.sex = sex;          var _privateVariable = &quot;&quot;;//私有变量         //构造器中定义的方法,即为私有方法     function privateMethod()			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyWea8z.html" rel="bookmark">简单谈谈javascript中this的隐式绑定&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们先来看一个例子 function foo() { console.log( this.a ); } var obj = { a: 2, foo: foo }; obj.foo(); // 2 this指向了obj,因为foo执行时的call-site(可以理解为调用时所在作用域)在obj上面.注意是运行的时候,和在哪里声明的没有关系. call-site and call-stack call-site姑且理解为调用域,call-stack为调用栈.如下代码可以辅助我们理解 function			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze7o0M.html" rel="bookmark" class="title">c&num;制作的号码mask程序</a>
					<div>
						在今天,各大媒体都时兴通过短信参与活动并中奖的行为,中奖号码大多用'*'好掩盖其手机号码的中间几位如:138*****345,今天,我们做的就是用一个类库来实现这个通用功能,以便在网站和程序中引用.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze677b.html" rel="bookmark" class="title">double类型结构体对齐的疑惑</a>
					<div>
						问题描述 double类型结构体对齐的疑惑 32bit的cpu,在msvc中如果结构体有double类型,则以8字节对齐,例如 struct test { char ch; double j; };  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP15rz.html" rel="bookmark" class="title">《Effective Java》学习笔记&lpar;４&rpar;</a>
					<div>
						笔记 五.C语言结构的替代 如何用java模拟c语言中的一些结构 第19条:用类代替结构     对于C语言中的结构,java可以用类来代替,不过你不应让类的成员变量可以被公开访问,成员变量应该是pr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyZRJp.html" rel="bookmark" class="title">用JS自动生成等比例所略图</a>
					<div>
						js &lt;!--本示例演示图片加载时自动显示等比例缩略图,在做web程序的时候往往会遇到客户上传很大的图片,但是显示的时候如果把所略图的高宽比手工设置好,由于图片的形状不同会造成显示变形,这里用一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5dBqM.html" rel="bookmark" class="title">C&num; 3&period;0 新特性：扩展方法初探</a>
					<div>
						C#3.0中一个激动人心的特性就是扩展方法:你可以使用实例方法的语法来调用静态方法.本文仔细阐述了这一新特性并且给出了几个相应的例子. 声明扩展方法 扩展方法的行为和静态方法是非常类似的,你只能在静态 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvyRAb.html" rel="bookmark" class="title">纯文本外链作用分析 究竟有用还是无用？</a>
					<div>
						在比较传统的SEO优化过程中,大家都认为只有锚文本的外链才能够让蜘蛛抓取并给予权重,所以也造就了很多站长不愿意去做那些纯文本的外链,并且认为这样的外链是对我们网站优化工作无用的.但是在小编做站的这些年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMr66jM.html" rel="bookmark" class="title">页面无限跳转间如何保存页面状态&lpar;2&rpar;</a>
					<div>
						页面 解决方法的实现 以上分析过了之后,我们来看如何实现他: class DataInfo:这个类用于保存数据状态,一般而言,也就是每个DataGrid对应一个:[Serializable()] pu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3LgWM.html" rel="bookmark" class="title">浅谈过年期间如何维护网站</a>
					<div>
						前序:2011年底开始,搜索引擎已经明显开始加大了对网站用户体验的重视程度,也就是说,外链在网站权重的所占比例将逐渐减少.而我们现在大部分的网站,都是靠着强大的外链做到排名的,用户体验的要求一点都得不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxAyob.html" rel="bookmark" class="title">软件市场的通行证&mdash;&mdash;CMM</a>
					<div>
						随着时代的发展,人们开始意识到,软件的开发不仅仅在于新技术是否出现,更在于软件使用过程的管理.软件企业的开发结构只有在形成一套完整而熟练的过程后,其开发才能够步入正轨.目前,CMM作为当前世界上最流行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrdQdp.html" rel="bookmark" class="title">详解Windows server 2003 WINS的配置和使用</a>
					<div>
						NetBios名称概述 网络中的一台计算机可以使用NETBIOS和DNS两种命名方式为其命名,在NETBIOS标准中,使用长度不超 过16个字符的名称来惟一标识每个网络资源,用于标识资源或服务类型.在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jV9Nb.html" rel="bookmark" class="title">思科路由器全局、接口、协议调试</a>
					<div>
						全局调试 在配置Cisco路由器时,全局和接口命令的界限是十分明显的.在这种情况下,我们使用&quot;全局&quot;来标识那些不能用于接口调试或者特定的传输介质类型和协议调试的命令.例如,在250 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElmAoz.html" rel="bookmark" class="title">JavaScript的RequireJS库入门指南</a>
					<div>
						  这篇文章主要介绍了JavaScript的RequireJS库入门指南,RequireJS库的人气近来攀升很快,需要的朋友可以参考下 简介 如今最常用的JavaScript库之一是RequireJS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7Rv7M.html" rel="bookmark" class="title">Centos硬件信息查看命令</a>
					<div>
						  [root@yan-001 ~] # uname -a # 查看内核/操作系统/CPU信息的linux系统信息命令 [root@yan-001 ~] # head -n 1 /etc/issue  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw1XJz.html" rel="bookmark" class="title">Win7开机提示svchost&period;exe错误的解决方法</a>
					<div>
						  1. 首先打开运行窗口,直接使用使用快捷键win+R就可以弹出打开运行窗口,在开始菜单中打开也是一样的,然后输入窗口中写入msconfig回车键; 2.在打开的设置窗口中点击进入启动选项标签,然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PAL4p.html" rel="bookmark" class="title">magento -- 前台在一站多店之间切换的代码片段</a>
					<div>
						  如果你为一个站的所有商店各自设置了唯一的base URL,所有你需要用来多店切换的就是下面这段代码.   只要把它粘贴的模板的某处.   当然,记住我只在自己的配置上测试过,基本上这段代码就是跳转 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmxGAz.html" rel="bookmark" class="title">Xposed框架的安装</a>
					<div>
						作者:snowdreamEmail:yanghui1986527#gmail.comGithub: https://github.com/snowdreamQQ 群: 529327615原文地址:ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAlkOM.html" rel="bookmark" class="title">linux redis安装之后，set 什么命令都不执行</a>
					<div>
						问题描述 linux redis安装之后,set 什么命令都不执行 每次输入命令 回车后,都变成了换行,有大神知道怎么解决吗? 解决方案 http://redis.readthedocs.org/en ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRRl8b.html" rel="bookmark" class="title">Windows下编译使用Aliyun OSS PHP SDK</a>
					<div>
						安装环境:Win7 64 + PHP 5.6 + OSS PHP SDK 2.0.6 安装PHP 1. 下载安装包.打开 http://windows.php.net/download/ ,从PHP  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLRDOM.html" rel="bookmark" class="title">阿里云服务器备案接入方法</a>
					<div>
						注意,请先到阿里云官网领取幸运券,除了价格上有很多优惠外,还可以参与抽奖.详见:https://promotion.aliyun.com/ntms/act/ambassador/sharetouser ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAE6QvM.html" rel="bookmark" class="title">Android native应用开发简明教程 &lpar;2&rpar; - 本地应用的原理</a>
					<div>
						本地应用原理 从NativeActivity说起 本地App,本质上是一个Java App调用了一个JNI的库,而应用的逻辑通过native代码来实现. NativeActivity是继承自Activ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJq2Pqp.html" rel="bookmark" class="title">07&lowbar;NoSQL数据库之Redis数据库：Redis的高级应用之事务处理、持久化操作、pub&lowbar;sub、虚拟内存</a>
					<div>
						﻿﻿ 事务处理 Redis对事务的支持目前还比较简单.Redis只能保证一个client发起的事务中的命令可以连续的执行,而中间不会插入其他client的命令.当一个client在一个连接中发出mul ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWoGjM.html" rel="bookmark" class="title">新浪微博消息推送</a>
					<div>
						问题描述 我想实现发送图片的功能,但是官方API只有三个接口可以调用,一个是纯文本,一个是图文,一个是位置,我只要发送图片就行了,可图文消息是带有文字和图片的,这个怎么解决?有高手吗? 解决方案 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEDvvM.html" rel="bookmark" class="title">altium designer-PCB  铺铜问题  不知道没什么没有铺上铜</a>
					<div>
						问题描述 PCB 铺铜问题 不知道没什么没有铺上铜 我用的 Altium Designer14 铺铜时只有多边形框 却没有铺铜!不知道为什么 ,请大牛们帮帮忙!如图 左下角那个多边形框 没有铺上铜网  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNB8Qp.html" rel="bookmark" class="title">JS正则替换掉小括号及内容的方法&lowbar;javascript技巧</a>
					<div>
						正则表达式:\ ( [ ^ \ ) ] * \ ) JS代码: var str=&quot;hello(world)&quot;; var nstr = str.replace(/\([^\)]*\) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1kmGb.html" rel="bookmark" class="title">js中匿名函数的创建与调用方法分析&lowbar;javascript技巧</a>
					<div>
						本文实例分析了js中匿名函数的创建与调用方法.分享给大家供大家参考.具体实现方法如下: 匿名函数就是没有名字的函数了,也叫闭包函数(closures),允许 临时创建一个没有指定名称的函数.最经常用作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlxkqp.html" rel="bookmark" class="title">从零学Python之入门（二）基本数据类型&lowbar;python</a>
					<div>
						简单的数据类型以及赋值 变量不需要声明 Python的变量不需要声明,你可以直接输入: 复制代码 代码如下: &gt;&gt;&gt;a = 10 那么你的内存里就有了一个变量a, 它的值是10,它的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrdl3p.html" rel="bookmark" class="title">Yii framework框架之模块开发工作笔记</a>
					<div>
						个稍微大点的项目,如果按照yii生成的webapp进行开发.所有的controller放到controllers文件夹下,所有的model放到models文件夹下面,如果你有 n 多个 control ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEvj6z.html" rel="bookmark" class="title">java-springmvc不能加载静态资源</a>
					<div>
						问题描述 springmvc不能加载静态资源 ,用default servlet直接访问jsp页面可以,经过一个controller跳转到页面,页面又不能加载静态资源了, 解决方案 &lt;mvc:r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWlAkz.html" rel="bookmark" class="title">分时系统-第8题怎么解决啊？求助</a>
					<div>
						问题描述 第8题怎么解决啊?求助 这是现代操作系统三版第一章课后习题 解决方案 第8题第8题:字符串长度第8题 解决方案二: 这些程序的运行时间因程序的组合的不同而不同,一共有以下4种情况: 1)(P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKRYZz.html" rel="bookmark" class="title">新手SEOer浅谈新站上线时的一些基本操作</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 新站上线时需要注意什么事项?上线之后需要做什么?很多人懂得做网站,但是却不知道新站上线要做那些seo操作?在这一点一开始夏洛也是非常迷茫,那么没有错,我 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
